apiVersion: v1
items:
- apiVersion: maistra.io/v2
  kind: ServiceMeshControlPlane
  metadata:
    annotations:
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"maistra.io/v2","kind":"ServiceMeshControlPlane","metadata":{"annotations":{},"name":"basic","namespace":"istio-system"},"spec":{"addons":{"grafana":{"enabled":false},"kiali":{"enabled":false},"prometheus":{"enabled":false}},"general":{"validationMessages":true},"meshConfig":{"extensionProviders":[{"name":"otel","opentelemetry":{"port":4317,"service":"otel-collector.bookinfo.svc.cluster.local"}}]},"tracing":{"type":"None"},"version":"v2.6"}}
    creationTimestamp: "2025-02-27T08:49:29Z"
    finalizers:
    - maistra.io/istio-operator
    generation: 1
    name: basic
    namespace: istio-system
    resourceVersion: "636340"
    uid: c740b510-8a9c-4e78-96af-f70994aae65f
  spec:
    addons:
      grafana:
        enabled: false
      kiali:
        enabled: false
      prometheus:
        enabled: false
    gateways:
      openshiftRoute:
        enabled: false
    general:
      validationMessages: true
    meshConfig:
      extensionProviders:
      - name: otel
        opentelemetry:
          port: 4317
          service: otel-collector.bookinfo.svc.cluster.local
    profiles:
    - default
    tracing:
      type: None
    version: v2.6
  status:
    annotations:
      alwaysReadyComponents: mesh-config,telemetry-common
      readyComponentCount: 5/5
    appliedSpec:
      addons:
        grafana:
          enabled: false
          install:
            service:
              ingress:
                enabled: true
              metadata:
                annotations:
                  service.alpha.openshift.io/serving-cert-secret-name: grafana-tls
        jaeger:
          install:
            ingress:
              enabled: true
            storage:
              type: Memory
          name: jaeger
        kiali:
          enabled: false
          install:
            dashboard:
              viewOnly: false
            service:
              ingress:
                enabled: true
          name: kiali
        prometheus:
          enabled: false
          install:
            service:
              ingress:
                enabled: true
              metadata:
                annotations:
                  service.alpha.openshift.io/serving-cert-secret-name: prometheus-tls
      gateways:
        egress:
          enabled: true
          runtime:
            container:
              resources:
                requests:
                  cpu: 10m
                  memory: 128Mi
            deployment:
              autoScaling:
                enabled: false
          service: {}
        enabled: true
        ingress:
          enabled: true
          ingress: false
          runtime:
            container:
              resources:
                requests:
                  cpu: 10m
                  memory: 128Mi
            deployment:
              autoScaling:
                enabled: false
          service:
            type: ClusterIP
        openshiftRoute:
          enabled: false
      general:
        logging:
          componentLevels:
            default: warn
        validationMessages: true
      meshConfig:
        extensionProviders:
        - name: otel
          opentelemetry:
            port: 4317
            service: otel-collector.bookinfo.svc.cluster.local
      policy:
        type: None
      profiles:
      - default
      proxy:
        injection:
          autoInject: false
        networking:
          dns:
            refreshRate: 300s
          initialization:
            initContainer:
              runtime:
                imageName: proxy-init-rhel7
          protocol:
            autoDetect:
              inbound: false
              outbound: false
        runtime:
          container:
            imageName: registry.redhat.io/openshift-service-mesh/proxyv2-rhel9@sha256:7121feee90499468cc9db9d12c8a2655a761d5f667950a00ca1febe406cd3524
            resources:
              requests:
                cpu: 10m
                memory: 128Mi
      runtime:
        components:
          3scale:
            container:
              imageName: 3scale-istio-adapter-rhel8
              imageRegistry: registry.redhat.io/openshift-service-mesh
              imageTag: 2.0.0
          global.oauthproxy:
            container:
              imageName: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d32b7b7b67ffac1c7643e137c7a64c73196c489471bc3d8be1f5ed26d10ff0b0
              imagePullPolicy: IfNotPresent
              imageRegistry: registry.redhat.io/openshift4
              imageTag: v4.9
          grafana:
            container:
              imageName: registry.redhat.io/openshift-service-mesh/grafana-rhel8@sha256:578524098e1d588bbebad5457e91fb23430606b82162184e5c762dd7474cb202
          pilot:
            container:
              imageName: registry.redhat.io/openshift-service-mesh/pilot-rhel8@sha256:72ea58f9d1f4efde7fe582786eaa7f7425d59ad3791f0dc81a65831a9668a0e8
              resources:
                requests:
                  cpu: 10m
                  memory: 128Mi
            deployment:
              autoScaling:
                enabled: false
          prometheus:
            container:
              imageName: registry.redhat.io/openshift4/ose-prometheus@sha256:1692434b0ebec36e8584c37101423a8dee1e6afa3d3c9f47df35a9a9d4ebda4d
              resources:
                requests:
                  cpu: 10m
                  memory: 128Mi
          rateLimiting.rls:
            container:
              imageName: registry.redhat.io/openshift-service-mesh/ratelimit-rhel8@sha256:f1973acb13cdfe5b26d68eafcbbf0e4f124284f2eaa370d6aa4dc6164e549ef1
        defaults:
          container:
            imageRegistry: registry.redhat.io/openshift-service-mesh
            imageTag: 2.6.0
            resources:
              requests:
                cpu: 10m
                memory: 128Mi
          deployment:
            podDisruption:
              enabled: false
      security:
        identity:
          type: Kubernetes
      techPreview:
        galley:
          enableAnalysis: true
        global:
          configNamespace: istio-system
          configRootNamespace: istio-system
          istioNamespace: istio-system
          prometheusNamespace: istio-system
        istio_cni:
          chained: false
          istio_cni_network: v2-6-istio-cni
        meshConfig:
          extensionProviders:
          - name: otel
            opentelemetry:
              port: 4317
              service: otel-collector.bookinfo.svc.cluster.local
          ingressControllerMode: "OFF"
          rootNamespace: istio-system
        prometheusConfigReloader:
          image: registry.redhat.io/openshift4/ose-prometheus-config-reloader@sha256:f8b73263a91dbb1126a437bf544698e1f659aa7f906a47879017e96c0f4aafc9
        revision: basic
        sidecarInjectorWebhook:
          objectSelector:
            enabled: false
      telemetry:
        type: Istiod
      tracing:
        type: None
      version: v2.6
    appliedValues:
      istio:
        base:
          validationURL: ""
        clusterResources: true
        galley:
          enableAnalysis: true
        gatewayAPI:
          controllerMode: false
          enabled: false
        gateways:
          enabled: true
          istio-egressgateway:
            autoscaleEnabled: false
            enabled: true
            gatewayType: egress
            name: istio-egressgateway
            resources:
              requests:
                cpu: 10m
                memory: 128Mi
          istio-ingressgateway:
            autoscaleEnabled: false
            enabled: true
            gatewayType: ingress
            ior_enabled: false
            name: istio-ingressgateway
            resources:
              requests:
                cpu: 10m
                memory: 128Mi
            type: ClusterIP
        global:
          arch:
            amd64: 2
            arm64: 2
            ppc64le: 2
            s390x: 2
          caAddress: ""
          caCertConfigMapName: istio-ca-root-cert
          centralIstiod: false
          configNamespace: istio-system
          configRootNamespace: istio-system
          configValidation: true
          defaultConfigVisibilitySettings: []
          defaultNodeSelector: {}
          defaultPodDisruptionBudget:
            enabled: false
          defaultResources:
            requests:
              cpu: 10m
              memory: 128Mi
          defaultTolerations: []
          enableTracing: false
          externalIstiod: false
          hub: registry.redhat.io/openshift-service-mesh
          imagePullPolicy: ""
          imagePullSecrets: []
          istioNamespace: istio-system
          istiod:
            enableAnalysis: true
          jwtPolicy: first-party-jwt
          k8sIngress:
            enableHttps: false
            enabled: false
            gatewayName: ingressgateway
          logAsJson: false
          logging:
            level: default:warn
          manageNetworkPolicy: true
          meshExpansion:
            enabled: false
            useILB: false
          meshID: ""
          meshNetworks: {}
          mountMtlsCerts: false
          mtls:
            auto: true
            enabled: false
          multiCluster:
            clusterName: ""
            enabled: false
            globalDomainSuffix: global
            includeEnvoyFilter: true
            multiClusterOverrides:
              expansionEnabled: null
              multiClusterEnabled: null
          network: ""
          oauthproxy:
            hub: registry.redhat.io/openshift4
            image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d32b7b7b67ffac1c7643e137c7a64c73196c489471bc3d8be1f5ed26d10ff0b0
            imagePullPolicy: IfNotPresent
            tag: v4.9
          omitSidecarInjectorConfigMap: false
          oneNamespace: false
          operatorManageWebhooks: false
          pilotCertProvider: istiod
          priorityClassName: ""
          prometheusNamespace: istio-system
          proxy:
            autoInject: disabled
            clusterDomain: cluster.local
            componentLogLevel: misc:error
            dnsRefreshRate: 300s
            enableCoreDump: false
            excludeIPRanges: ""
            excludeInboundPorts: ""
            excludeOutboundPorts: ""
            image: registry.redhat.io/openshift-service-mesh/proxyv2-rhel9@sha256:7121feee90499468cc9db9d12c8a2655a761d5f667950a00ca1febe406cd3524
            includeIPRanges: '*'
            includeInboundPorts: '*'
            logLevel: warning
            privileged: false
            readinessFailureThreshold: 30
            readinessInitialDelaySeconds: 1
            readinessPeriodSeconds: 2
            resources:
              limits:
                cpu: 2000m
                memory: 1024Mi
              requests:
                cpu: 10m
                memory: 128Mi
            statusPort: 15021
            tracer: none
          proxy_init:
            image: proxy-init-rhel7
            resources:
              limits:
                cpu: 2000m
                memory: 1024Mi
              requests:
                cpu: 10m
                memory: 10Mi
          remotePilotAddress: ""
          sds:
            token:
              aud: istio-ca
          sts:
            servicePort: 0
          tag: 2.6.0
          tls:
            cipherSuites: []
            ecdhCurves: []
            maxProtocolVersion: ""
            minProtocolVersion: ""
          tracer:
            datadog:
              address: $(HOST_IP):8126
            lightstep:
              accessToken: ""
              address: ""
            stackdriver:
              debug: false
              maxNumberOfAnnotations: 200
              maxNumberOfAttributes: 200
              maxNumberOfMessageEvents: 200
            zipkin:
              address: ""
          trustDomain: ""
          useMCP: false
        grafana:
          enabled: false
          image: registry.redhat.io/openshift-service-mesh/grafana-rhel8@sha256:578524098e1d588bbebad5457e91fb23430606b82162184e5c762dd7474cb202
          ingress:
            enabled: true
          service:
            annotations:
              service.alpha.openshift.io/serving-cert-secret-name: grafana-tls
        istio_cni:
          chained: false
          enabled: true
          istio_cni_network: v2-6-istio-cni
        kiali:
          dashboard:
            viewOnlyMode: false
          enabled: false
          ingress:
            enabled: true
          resourceName: kiali
        meshConfig:
          defaultConfig:
            proxyMetadata:
              ISTIO_META_DNS_AUTO_ALLOCATE: "true"
              ISTIO_META_DNS_CAPTURE: "true"
              PROXY_XDS_VIA_AGENT: "true"
          dnsRefreshRate: 300s
          enablePrometheusMerge: true
          enableTracing: false
          extensionProviders:
          - name: otel
            opentelemetry:
              port: 4317
              service: otel-collector.bookinfo.svc.cluster.local
          ingressControllerMode: "OFF"
          rootNamespace: istio-system
        mixer:
          adapters:
            prometheus:
              enabled: false
          policy:
            enabled: false
          telemetry:
            enabled: false
        pilot:
          autoscaleEnabled: false
          enableProtocolSniffingForInbound: false
          enableProtocolSniffingForOutbound: false
          image: registry.redhat.io/openshift-service-mesh/pilot-rhel8@sha256:72ea58f9d1f4efde7fe582786eaa7f7425d59ad3791f0dc81a65831a9668a0e8
          resources:
            requests:
              cpu: 10m
              memory: 128Mi
        policy:
          implementation: None
        prometheus:
          enabled: false
          image: registry.redhat.io/openshift4/ose-prometheus@sha256:1692434b0ebec36e8584c37101423a8dee1e6afa3d3c9f47df35a9a9d4ebda4d
          ingress:
            enabled: true
          resources:
            requests:
              cpu: 10m
              memory: 128Mi
          service:
            annotations:
              service.alpha.openshift.io/serving-cert-secret-name: prometheus-tls
        prometheusConfigReloader:
          image: registry.redhat.io/openshift4/ose-prometheus-config-reloader@sha256:f8b73263a91dbb1126a437bf544698e1f659aa7f906a47879017e96c0f4aafc9
        rateLimiting:
          rls:
            image: registry.redhat.io/openshift-service-mesh/ratelimit-rhel8@sha256:f1973acb13cdfe5b26d68eafcbbf0e4f124284f2eaa370d6aa4dc6164e549ef1
        revision: basic
        sidecarInjectorWebhook:
          enableNamespacesByDefault: false
          objectSelector:
            enabled: false
        telemetry:
          enabled: true
          implementation: Istiod
          v1:
            enabled: false
          v2:
            accessLogPolicy:
              enabled: false
              logWindowDuration: 43200s
            enabled: true
            metadataExchange:
              wasmEnabled: false
            prometheus:
              configOverride:
                gateway: {}
                inboundSidecar: {}
                outboundSidecar: {}
              enabled: false
              wasmEnabled: false
            stackdriver:
              configOverride: {}
              disableOutbound: false
              enabled: false
              logging: false
              monitoring: false
              topology: false
        tracing:
          enabled: false
          ingress:
            enabled: true
          jaeger:
            resourceName: jaeger
            template: all-in-one
          provider: none
      profiles:
      - default
      template: default
      threeScale:
        hub: registry.redhat.io/openshift-service-mesh
        image: 3scale-istio-adapter-rhel8
        tag: 2.0.0
      version: v2.6
    chartVersion: 2.6.6
    components:
    - conditions:
      - lastTransitionTime: "2025-02-27T08:49:30Z"
        message: Component installed successfully
        reason: InstallSuccessful
        status: "True"
        type: Reconciled
      - lastTransitionTime: "2025-02-27T08:49:30Z"
        message: Component installed successfully
        reason: InstallSuccessful
        status: "True"
        type: Installed
      resource: istio-discovery
    - conditions:
      - lastTransitionTime: "2025-02-27T08:49:33Z"
        message: Component installed successfully
        reason: InstallSuccessful
        status: "True"
        type: Reconciled
      - lastTransitionTime: "2025-02-27T08:49:33Z"
        message: Component installed successfully
        reason: InstallSuccessful
        status: "True"
        type: Installed
      resource: mesh-config
    - conditions:
      - lastTransitionTime: "2025-02-27T08:49:33Z"
        message: Component installed successfully
        reason: InstallSuccessful
        status: "True"
        type: Reconciled
      - lastTransitionTime: "2025-02-27T08:49:33Z"
        message: Component installed successfully
        reason: InstallSuccessful
        status: "True"
        type: Installed
      resource: telemetry-common
    - conditions:
      - lastTransitionTime: "2025-02-27T08:49:33Z"
        message: Component installed successfully
        reason: InstallSuccessful
        status: "True"
        type: Reconciled
      - lastTransitionTime: "2025-02-27T08:49:33Z"
        message: Component installed successfully
        reason: InstallSuccessful
        status: "True"
        type: Installed
      resource: istio-ingress
    - conditions:
      - lastTransitionTime: "2025-02-27T08:49:33Z"
        message: Component installed successfully
        reason: InstallSuccessful
        status: "True"
        type: Reconciled
      - lastTransitionTime: "2025-02-27T08:49:33Z"
        message: Component installed successfully
        reason: InstallSuccessful
        status: "True"
        type: Installed
      resource: istio-egress
    conditions:
    - lastTransitionTime: "2025-02-27T08:49:35Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Installed
    - lastTransitionTime: "2025-02-27T08:49:35Z"
      message: Successfully installed version 2.6.6-1-1
      reason: InstallSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2025-02-27T08:49:35Z"
      message: All component deployments are Available
      reason: ComponentsReady
      status: "True"
      type: Ready
    observedGeneration: 1
    operatorVersion: 2.6.6-1
    readiness:
      components:
        pending: []
        ready:
        - istio-discovery
        - istio-egress
        - istio-ingress
        - mesh-config
        - telemetry-common
        unready: []
kind: List
metadata:
  resourceVersion: ""
